aboutsummaryrefslogtreecommitdiff
path: root/your_server.sh
diff options
context:
space:
mode:
Diffstat (limited to 'your_server.sh')
-rwxr-xr-xyour_server.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/your_server.sh b/your_server.sh
new file mode 100755
index 0000000..439ca82
--- /dev/null
+++ b/your_server.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+#
+# DON'T EDIT THIS!
+#
+# CodeCrafters uses this file to test your code. Don't make any changes here!
+#
+# DON'T EDIT THIS!
+set -e
+tmpFile=$(mktemp)
+go build -o "$tmpFile" app/*.go
+exec "$tmpFile" "$@"